zonelist_export.c File Reference
`#include "config.h"`
`#include "log.h"`
`#include "str.h"`
`#include "clientpipe.h"`
`#include "db/zone_db.h"`
`#include "utils/kc_helper.h"`
`#include "keystate/zonelist_export.h"`
`#include <libxml/parser.h>`
`#include <libxml/tree.h>`
`#include <limits.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`

Go to the source code of this file.

## Functions

int | zonelist_export (int sockfd, db_connection_t *connection, const char *filename, int comment)

## Function Documentation

## zonelist_export()

int zonelist_export | ( | int | sockfd,
|  | db_connection_t * | connection,
|  | const char * | filename,
|  | int | comment
| ) |  |

Export the zonelist from the database to an XML file.

Parameters

  [in] | sockfd | a socket.
  [in] | connection | a db_connection_t pointer.
  [in] | filename | the filename to write to.
  [in] | comment | if non-zero include a comment about the zonelist file.

Returns
  ZONELIST_EXPORT_ERR_* on error otherwise ZONELIST_EXPORT_OK.

Definition at line 47 of file zonelist_export.c.

References check_zonelist(), db_value_cmp(), policy_free(), policy_id(), policy_name(), zone_db_get_policy(), zone_db_input_adapter_type(), zone_db_input_adapter_uri(), zone_db_name(), zone_db_output_adapter_type(), zone_db_output_adapter_uri(), zone_db_policy_id(), zone_db_signconf_path(), zone_list_db_free(), zone_list_db_get(), zone_list_db_new(), zone_list_db_next(), ZONELIST_EXPORT_ERR_ARGS, ZONELIST_EXPORT_ERR_DATABASE, ZONELIST_EXPORT_ERR_FILE, ZONELIST_EXPORT_ERR_MEMORY, ZONELIST_EXPORT_ERR_XML, and ZONELIST_EXPORT_OK.